---
title: 'Location: password'
slug: Web/API/Location/password
tags:
  - API
  - Location
  - Property
  - Reference
---
<div>{{obsolete_header}}</div>

<p>The <strong><code>password</code></strong> property of the {{domxref("Location")}} interface is a {{domxref("USVString")}} containing the password specified before the domain name.</p>

<p>If it is set without first setting the <code><a href="/en-US/docs/Web/API/Location/username">username</a></code> property, it silently fails.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.password;
<em>object</em>.password = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's &lt;a id="myAnchor" href="https://anonymous:flabada@developer.mozilla.org/en-US/docs/location.username"&gt; be in the document
var anchor = document.getElementByID("myAnchor");
var result = anchor.password; // Returns:'flabada'
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.password")}}</p>
